Pidgin Refresh

Brian Morrison bdm at fenrir.org.uk
Sat Oct 27 15:09:09 EDT 2012


On Sat, 27 Oct 2012 19:54:31 +0100
David Woolley <forums at david-woolley.me.uk> wrote:

> Brian Morrison wrote:
> > On Sat, 27 Oct 2012 15:44:54 +0100
> > David Woolley <forums at david-woolley.me.uk> wrote:
> > 
> >> Unless a library offers a fundamental advantage, one 
> >> should stick with the tried and trusted ones.
> > 
> > Except that your distro has probably updated to new versions because
> > they keep track of the latest upstream.
> > 
> 
> The better ones keep the older variants, although they may cease to be 
> part of the default installation.
> 
> Note, we are talking about non-backward compatible steps, which 
> generally have different .so names, not maintenance versions.
> 
> 

Indeed. What usually breaks it for me is when the distro has changed
the current version to a compat version, introduced something new and
the package I want to rebuild is looking in the wrong .pc file for
which headers to use when building. It usually takes a while for some
maintainers to catch up.

-- 

Brian Morrison

                "I am not young enough to know everything"
                                                          Oscar Wilde



More information about the Support mailing list